<sqtm-core-entity-view-wrapper [sqtmCoreViewId]="'requirement-folder-view'">
  @if (requirementFolderService.componentData$ | async; as componentData) {
    <div class="flex full-height full-width neutral-background-color">
      <div class="flex-column full-width">
        <sqtm-core-entity-view-header
          class="full-width test-case-content-head p-t-10 p-r-30"
          [attachmentList]="componentData.requirementFolder.attachmentList"
          [entityPath]="componentData.requirementFolder.path"
          (attachmentBadgeClickEvent)="toggleAttachmentPanel()"
        >
          <div projection="actions" class="m-t-10" style="width: 40px">
            <sqtm-core-fold-button></sqtm-core-fold-button>
          </div>
        </sqtm-core-entity-view-header>
        <div class="flex-row full-height full-width">
          <div class="flex-fixed-size side-bar">
            <div class="anchor-bar">
              <sqtm-core-anchor>
                <sqtm-core-anchor-group [id]="'content'">
                  <sqtm-core-anchor-link
                    nz-tooltip
                    nzTooltipPlacement="right"
                    sqtmCoreDefaultAnchorLink
                    [id]="'dashboard'"
                    [nzTooltipTitle]="
                      'sqtm-core.generic.label.dashboard.title' | translate
                    "
                    [iconName]="'sqtm-core-generic:dashboard'"
                  >
                  </sqtm-core-anchor-link>
                  <sqtm-core-anchor-link
                    [id]="'information'"
                    nz-tooltip
                    nzTooltipPlacement="right"
                    [nzTooltipTitle]="
                      'sqtm-core.test-case-workspace.title.information'
                        | translate
                    "
                    [iconName]="'sqtm-core-generic:information'"
                  >
                  </sqtm-core-anchor-link>
                </sqtm-core-anchor-group>
              </sqtm-core-anchor>
            </div>
          </div>
          <div #content class="content-body full-height full-width">
            <router-outlet></router-outlet>
          </div>
        </div>
      </div>
    </div>
    <sqtm-core-attachment-drawer
      [canAttach]="componentData.permissions.canAttach"
    >
    </sqtm-core-attachment-drawer>
  }
</sqtm-core-entity-view-wrapper>
